<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		/*
		Schema::connection('editor_common')->create('user', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('username')->unique();
			$table->string('password');
			$table->boolean('password_tmp_set')->default(0);
			$table->string('password_tmp')->default('');
			$table->integer('level')->default(0);
			$table->string('sip_id');
			$table->string('cloud_id');
			$table->integer('company_id')->default(-1);			
			$table->string('hdr', 1)->default('a');
			$table->string('status', 32)->default(0);
			$table->boolean('opt_menu_show')->default(0);
			$table->boolean('opt_help_show')->default(1);
			$table->integer('editor');
			$table->timestamps();//created_at, updated_at
		});

		Schema::table('user', function($t)
		{
			$t->index('username');
		});
		*/
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		//Schema::connection('editor_common')->drop('user');
	}

}
